%define anolis_release 1

%global desc A docutils-compatibility bridge to CommonMark.\
This allows you to write CommonMark inside of Docutils & Sphinx projects.\
Documentation is available on Read the Docs: http://recommonmark.readthedocs.org

Name:           python-recommonmark
Version:        0.7.1
Release:        %{anolis_release}%{?dist}
Summary:        docutils-compatibility bridge to CommonMark

License:        MIT
URL:            https://github.com/readthedocs/recommonmark
Source0:        https://github.com/readthedocs/recommonmark/archive/%{version}/recommonmark-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python3-recommonmark
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-docutils
BuildRequires:  python3-CommonMark
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
Requires:       python3-docutils
Requires:       python3-CommonMark
Requires:       python3-sphinx

%description -n python3-recommonmark
%{desc}

%package -n     python3-recommonmark-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:	python3-recommonmark = %{version}-%{release}

%description -n     python3-recommonmark-doc
This package contains documentation for %{name}.

%prep
%setup -qn recommonmark-%{version}
rm -rf recommonmark.egg-info
sed -i '1{\@^#!/usr/bin/env python@d}' recommonmark/scripts.py


%build
%py3_build


%install
#  install python3 first to have unversioned binaries for python 3
%py3_install
pushd %{buildroot}%{_bindir}  # Enter buildroot bindir to ease symlink creation
for cm2bin in cm2*; do
    mv "${cm2bin}" "${cm2bin}-%{python3_version}"
    ln -s "${cm2bin}-%{python3_version}" "${cm2bin}-3"
done
popd  # Leave buildroot bindir

%check
# Skip some tests because of https://github.com/readthedocs/recommonmark/issues/164
# PYTHONPATH=$(pwd) py.test-%{python3_version} -k 'not test_lists and not test_integration' .


%files -n python3-recommonmark
%license license.md
%{python3_sitelib}/recommonmark-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/recommonmark/
%{_bindir}/cm2*-3
%{_bindir}/cm2*-%{python3_version}

%files -n python3-recommonmark-doc
%doc README.md

%changelog
* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 0.7.1-1
- init package from upstream
